.primary-header {
  height: 80px;
  @include x-transition(all 0.3s);

  .container-menu {
    background-color: #FFF;
    width: 100%;
    z-index: 1010;
    @include fixed(top 0 left 0);
    @include x-box-shadow(0 1px 5px 0px rgba(0,0,0,0.2));
  }

  .wrap-header {
    width: 100%;
    height: 80px;
    background-color: white;
    position: relative;
    @include x-display-flex
    @include x-flex-wrap(wrap)
    @include x-align-items(center);
    @include x-justify-content(center);
    @include x-transition(all 0.3s);

    /* [ Logo ] */
    .logo {
      display: block;
      position: absolute;
      left: 0;
      top: 50%;
      @include x-transform( translateY(-50%));

      img {
        max-height: 27px;
      }
    }

    /* [ Menu ] */
    .main-menu {
      list-style-type: none;
      margin: 0px;
      @include x-display-flex;
      @include x-flex-wrap(wrap);
      @include x-align-items(center);
      @include x-justify-content(center);

      > li {
        display: block;
        position: relative;
        padding: 20px 15px 20px 15px;

        > a {
          font-family: Montserrat-Regular;
          font-size: 15px;
          color: #333333;
          padding: 0;
          border-bottom: 1px solid transparent;
        }
      }
    }
  }

  .header-icons,
  .header-actions {
    align-items: center;
    position: absolute;
    right: 0;
    top: 50%;
    @include x-display-flex
    @include x-transform( translateY(-50%));

    &-wrap {
      height: 27px;
      position: relative;
    }

    @media (max-width: 480px) {
      right: 10px;
    }
  }

  .header-actions {
    .btn-login,
    .btn-signup {
      height: 27px;
      width: 100px;
      font-size: 14px;
    }

    .btn-login {
      margin: 0 10px 0 0;
    }
  }

  .header-icons {
    .profile-name {
      padding-right: 15px;
      font-family: Montserrat-Medium;
      font-size: 15px;
      color: #333333;
    }

    &-wrap {
      img {
        height: 100%;
        cursor: pointer;
      }
    }

    &-notification {
      width: 16px;
      height: 16px;
      border-radius: 50%;
      background-color: #111111;
      color: white;
      font-family: Montserrat-Medium;
      font-size: 12px;
      position: absolute;
      top: 0;
      right: -10px;
      @include x-display-flex;
      @include x-align-items(center);
      @include x-justify-content(center);
    }

    &:hover {
      .header-cart {
        @include x-transform(scale(1));
      }
    }
    /* [ Header cart ] */
    .header-cart {
      position: absolute;
      z-index: 1100;
      width: 339px;
      top: 190%;
      right: -10px;
      padding: 20px;
      border-top: 3px solid #e6e6e6;
      background-color: white;
      @include x-box-shadow(0 3px 5px 0px rgba(0, 0, 0, 0.1));
      @include x-transition(all 0.3s);
      @include x-transform(scale(0));
      @include x-transform-origin(top right);

      &-wrapitem {
        max-height: 270px;
        overflow: auto;
        padding: 0;
        margin: 0;
      }

      &-item {
        padding-bottom: 5px;
        padding-top: 5px;
        @include x-display-flex;
        @include x-flex-wrap(wrap);
        @include x-align-items(center);

        &-img {
          width: 80px;
          position: relative;
          margin-right: 20px;

          &::after {
            content: '\e870';
            font-family: Linearicons;
            font-size: 16px;
            position: absolute;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            background-color: rgba(0,0,0,0.5);
            color: white;
            opacity: 0;
            @include x-display-flex;
            @include x-align-items(center);
            @include x-transition(all 0.3s);
            @include x-justify-content(center);
          }

          img {
            width: 100%;
          }
        }

        &-txt {
          width: calc(100% - 100px);
        }

        &-name {
          display: block;
          font-family: Montserrat-Regular;
          font-size: 15px;
          color: #555555;
          line-height: 1.3;
          margin-bottom: 12px;
        }

        &-info {
          display: block;
          font-family: Montserrat-Regular;
          font-size: 12px;
          color: #888888;
          line-height: 1.5;
        }
      }

      &-total {
        font-family: Montserrat-Regular;
        font-size: 15px;
        color: #555555;
        line-height: 1.3;
        text-align: right;
        padding-top: 15px 3px 25px;
      }

      &-wrapbtn {
        width: calc((100% - 10px) / 2);
      }

      &-buttons {
        @include x-display-flex;
        @include x-flex-wrap(wrap);
        @include x-justify-content(space-between);
        @include x-align-items(center);
      }

      &.sub-menu {
        background-color: #222222;
        width: 225px;

        .menu-list {
          list-style-type: none;
          padding-top: 10px 0;
          @include x-transition(all 0.4s);
        }

        li {
          @include x-transition(all 0.3s);

          &:hover > a {
            color: #e65540;
            text-decoration: none;
          }
        }

        li, a {
          padding: 10px;
          font-family: Montserrat-Regular;
          font-size: 13px;
          color: white;
        }
      }
    }
  }
}

.linedivide {
  display: block;
  height: 20px;
  width: 1px;
  background-color: #e5e5e5;
  margin: 5px 23px 0 23px;
}
